#include "MouseEvent.h"

#include "Window.h"

using namespace Framework;

bool Framework::_ret1ME(void* param, void* obj, MouseEvent me)
{
    return 1;
}

bool Framework::_closeWindowME(void* param, void* obj, MouseEvent me)
{
    if (me.id == ME_RLeft)
        ((Window*)obj)->removeStyle(Window::Style::Visible);
    return 1;
}